<?php 

namespace Teknisa\MAN\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DataSource\ParameterBag;
use Teknisa\MAN\Services;


class ConfigPortaisController {
    protected $configPortaisServices;
    protected $fileUploaderService;
    
   public function __construct (Services\ConfigPortaisServices $configPortaisServices, $parameterBag, Manager $dataSourceManager, Services\FileUploaderService $fileUploaderService){
       $this->configPortaisServices     = $configPortaisServices;
        $this->parameterBag             = $parameterBag;
        $this->dataSourceManager        = $dataSourceManager;
        $this->fileUploaderService      = $fileUploaderService;
    }
    
    // pager digital
    // find
    public function findConfigPortais(DTO\Request $request, DTO\Response $response) {
        $conditions = $request->getParameters()['row'];
        $params = array();
        
        $params['NRORG'] = $conditions[0]['value'];
        $params['CDFILIAL'] = $conditions[1]['value'];
        
        $query = $this->configPortaisServices->findPager($params);

        $response->addDataSet(new DataSet("findConfigPortais", $query));
    }
    
    // save
    public function savePagerDigital(DTO\Request\Row $request, DTO\Response $response) {
        $row = $request->getRow();

        $params =  array();
        $params['NRORG'] = $row['NRORG'];


        $params['CDURLPGEDIG'] = $row['CDURLPGEDIG'];
        $this->configPortaisServices->saveGerparamgeral($params);
        
        $params['CDFILIAL'] = $row['CDFILIAL'];
        $params['IDUSAPGEDIG'] = $row['IDUSAPGEDIG'];
        if(is_array($row['BS64IMGPGEDIG'])){
            $params['BS64IMGPGEDIG'] = $row['BS64IMGPGEDIG'][0]['b64File'];
        }else{
            $params['BS64IMGPGEDIG'] = $row['BS64IMGPGEDIG'];
        }
        $params['IDUSATMPMEDPGE'] = $row['IDUSATMPMEDPGE'];
        $params['DSENDPGEDIG'] = $row['DSENDPGEDIG'];
        $params['IDMSGATRASOPGE'] = $row['IDMSGATRASOPGE'];
        $this->configPortaisServices->saveParavend($params);
    }

}


?>